Skip to main content
GET
/
ims
/
case
/
v1p1
/
CFDocuments
Get All Documents
curl --request GET \
  --url https://api.alpha-1edtech.ai/ims/case/v1p1/CFDocuments \
  --header 'Authorization: Bearer <token>'
{
  "CFDocuments": [
    {
      "sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "uri": "<string>",
      "creator": "<string>",
      "lastChangeDateTime": "2023-11-07T05:31:56Z",
      "CFPackageURI": {
        "sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "uri": "<string>"
      },
      "frameworkType": "<string>",
      "officialSourceURL": "<string>",
      "publisher": "<string>",
      "description": "<string>",
      "subject": [
        "<string>"
      ],
      "subjectURI": [
        {
          "sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "uri": "<string>"
        }
      ],
      "language": "<string>",
      "version": "<string>",
      "adoptionStatus": "<string>",
      "statusStartDate": "2023-12-25",
      "statusEndDate": "2023-12-25",
      "licenseURI": {
        "sourcedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "uri": "<string>"
      },
      "notes": "<string>",
      "extensions": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Collection of CASE Documents

CFDocuments
object[]
required
Minimum array length: 1